<?php

namespace App\Generated\V1_1\Messages\ReportLog;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class ClickUserHomeMessage extends Message
{
    use ValueHelper;

    protected $intoAt;
    protected $leaveAt;
    protected $clickUid;
    protected $homeUid;
    protected $scene;

    /**
     * 进入时间戳
     * @return int
     */
    public function getIntoAt()
    {
        return $this->intoAt;
    }

    /**
     * 离开时间戳
     * @return int
     */
    public function getLeaveAt()
    {
        return $this->leaveAt;
    }

    /**
     * 访问用户
     * @return int
     */
    public function getClickUid()
    {
        return $this->clickUid;
    }

    /**
     * 被访问用户
     * @return int
     */
    public function getHomeUid()
    {
        return $this->homeUid;
    }

    /**
     * 场景
     * @return int
     */
    public function getScene()
    {
        return $this->scene;
    }

    public function requestRules()
    {
        return [
            ['intoAt', 'into_at', 'bail|integer', Constants::INTEGER, null],
            ['leaveAt', 'leave_at', 'bail|integer', Constants::INTEGER, null],
            ['clickUid', 'click_uid', 'bail|integer', Constants::INTEGER, null],
            ['homeUid', 'home_uid', 'bail|integer', Constants::INTEGER, null],
            ['scene', 'scene', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
